Vasa Provider Vasa Provider Revoke Certificate Task

Vasa Provider Vasa Provider Revoke Certificate Task
Revoke CA signed certificate of the provider.

Revoke CA signed certificate of the provider.

This API will unregister the provider automatically. Note: This API works only for non-IOFilter and non-VSAN providers that support VASA 2.0 and onwards.

Required privileges: StorageViews.ConfigureService

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/sms/VasaProvider/{moId}/VasaProviderRevokeCertificate_Task
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VasaProvider/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns MoRefTask of type(s) application/json
This response body class contains all of the following: MoRefExtensibleManagedObject
{
    "_typeName": "string",
    "type": "string",
    "value": "string"
}

500

CertificateRevocationFailed: if an error is encountered while revoking CA signed certificate of the provider.

Returns CertificateRevocationFailed of type(s) application/json
This response body class contains all of the following: MethodFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/sms/VasaProvider/{moId}/VasaProviderRevokeCertificate_Task